Bug 1564959 (CVE-2018-1308)

Summary: CVE-2018-1308 Solr: XML external entity expansion in handler/dataimport/DataImporter.java allows remote attackers to read arbitrary files
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: aileenc, apintea, bkundal, bmaxwell, cdewolf, chazlett, csutherl, darran.lofthouse, dimitris, dosoudil, drieden, fgavrilo, gvarsami, hghasemb, jawilson, jcoleman, jolee, jondruse, jschatte, jstastny, kconner, ldimaggi, lgao, mgoldman, myarboro, nwallace, pavelp, pgier, pjurak, ppalaga, psakar, pslavice, puntogil, rnetuka, rstancel, rsvoboda, rwagner, sstavrev, tcunning, tkirby, twalsh, vhalbert, vtunka
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: solr 6.6.3, solr 7.3 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-03 02:07:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1564960    
Bug Blocks: 1564961    

Description Sam Fowler 2018-04-09 03:24:28 UTC
Apache Solr through versions 6.6.2 and 7.2.1 are vulnerable to XML external entity expansion (XXE) in handler/dataimport/DataImporter.java. A remote attacker could exploit this to read arbitrary local files from the vulnerable server.


External References:

http://www.openwall.com/lists/oss-security/2018/04/08/3


Upstream Issue:

https://issues.apache.org/jira/browse/SOLR-11971


Upstream Patch:

https://issues.apache.org/jira/secure/attachment/12910207/SOLR-11971.patch

Comment 1 Sam Fowler 2018-04-09 03:26:24 UTC
Created solr3 tracking bugs for this issue:

Affects: fedora-all [bug 1564960]